%% Returns critical abgle for a refractor 
%% ------------------------------------------------------------------------------------
%% Parameters:
%%      x - coordinate of the source or receiver on the surface 
%%	irefr - refractor number (>= 1). If irefr < 1 or refractor does not exist,
%%		the function returns the value of 'x'
%%  Returns:
%%	theta - critical angle at locations x
%% ========================================================================================

function theta = angle_critical( x, irefr )
	
global	recline model

	if irefr < 1 || irefr > size(model.p,2)		% no such refractor
		theta = 0;
		return

	elseif irefr == 1
		p0 = interp1(recline.midpoint,model.p0,x,'linear','extrap');
	else
		p0 = interp1(recline.midpoint,model.p(:,irefr-1),x,'linear','extrap');
	end

	theta = real(asin(interp1(recline.midpoint,model.p(:,irefr),x,'linear','extrap')./p0));   % critical angle
end

