% Initializes the model based on the results of load_picks()

function init_model()

global procdata ttdata ttbranch src rec recline model

	% summarize parameters in structure recline

	x = abs(ttdata(:,3));

	recline.max_offset = max(x);	% largest offset
	recline.min_offset = min(x);	% smallest offset

	[ recline.midpoint_x, recline.midpoint ] = midpoints();

	% initialize grids for inversions

	model.inv1_x = linspace(recline.midpoint_x(1), recline.midpoint_x(end),round(size(rec,1)*0.75));
	model.z = [];

	% initialize delay times and p0

	model.delta0 = zeros(size(recline.midpoint_x));
	model.p0 = [];
	model.p = [];
	model.tint = [];

	model.mute = [];	% no mutes

	model.crossover = [];	% no crossovers yet

	% inversion parameters

	model.smooth = 9;	% will use 5-point median spatial filter foor slowness and intercepts
end

