% Plots the travel-time field

function plot_ttf()

global src rec ttdata recline model

	[ ttft, ttfb, offset ] = ttf( 0.25, recline.max_offset );

	xrange = [recline.midpoint_x(1), recline.midpoint_x(end)];

	figure(8)
	subplot(2,1,1)	
	hold on
	imagesc(recline.midpoint_x,offset,ttft')

	% draw crossover lines

	for i=2:size(model.crossover,2)
		plot(model.crossover(:,1),model.crossover(:,i),'-k')
	end

	colorbar

	xlim(xrange)
	ylabel('Offset')
	xlabel('x')
	title('TTF')

	subplot(2,1,2)
	hold on	
	imagesc(recline.midpoint_x,offset,ttfb')

	% draw crossover lines

	for i=2:size(model.crossover,2)
		plot(model.crossover(:,1),model.crossover(:,i),'-k')
	end

	xlim(xrange)
	colorbar
	ylabel('Offset')
	xlabel('x')
	title('TTF branches')

end

