%% Plots one travel time branch on the current plot
%%
%% Parameters:
%%      x - array of X coordinates for points in xt
%%	xt - matrix of (receiver,offset,time) points as returned by ttimes_src()
%%	offset_range - if not empty, this array of two values gives the range of offsets
%%		(second column in 'xt') to plot. 
%%		The values in the row can be given in arbitrary order.
%%		If multiple rows are given, they are used to plot multiple travel-time branches
%%	style - Matlab line style string used for plotting

function plot_xt( x, xt, offset_range, style )

	if isempty(offset_range)
		plot(x,xt(:,3),style)
	else
	   	offset_range = sort(offset_range,2);

		for i=1:size(offset_range,1)

			ind = find(xt(:,2) >= offset_range(i,1) & xt(:,2) < offset_range(i,2) );

			if ~isempty(ind)
				plot(x(ind),xt(ind,3),style)
			end
		end
	end
end

