%% Extracts the intercept (tau) and slowness (p) parameters from 
%% a near-linear t(x) curve
%%
%% Parameters:
%%      x - column of source-receiver offsets
%%      t - column oftravel times
%%		
%%  Returns:
%%	tau - intercept of the t(x) curve
%%	p - slope (moveout) of the t(x) curve

function [ tau, p ] = tau_p( x, t )

global model recline

	nx = length(x);

	if nx > 1

		regr = polyfit(abs(x),t,1);		% linear regression

		p = regr(1);
		tau = regr(2);

	elseif nx < 1
		tau = [];
		p = [];

	else		% one point
		p = [];

		tau = t(1);
	end
end

