%% Measures the direct-wave slowness model.p0, delay time model.delta0,
%% and layer slownesses model.p and intercepts model.tint at each midpoint
%% in recline.midpoint
%%
%% The estimates are obtained by inverting the average of the common-midpoint and common-offset
%% travel times as a linear regression:
%%
%%	time(offset) = delta0 + p0*offset
%%
%% The inverted parameters are returned and saved as model.p0 and model.delta0.
%% Optionally, delta0 can be subtracted from all travel times by using option 'apply'
%% =========================================================================================
%%
%% Parameters:
%%      refr - maximum refraction level to which refraction times are included
%%  Returns:
%%	tt - column of predicted travel times corresponding to each row of 'ttdata'

function tt = ttimes_predict( refr )

global src rec recline ttdata ttpred model

  % zero-offset delay

  if refr >= 0

	tt = delay0(src(ttdata(:,1),5)) + delay0(rec(ttdata(:,2),5));	
  else
	tt = zeros(size(ttdata,1),1);
  end

  % add delays to refractor number 'refr' 

  if refr >= 0
  end

  % add moveout-related terms

 % offs = abs(ttdata(:,3));		% source-receiver offsets

  %tt = tt + ttpred.taup(:,2).*offs;

end	

